#include <stdio.h>
#include <string.h>
int main(int argc, char *argv[])
{
  int i;
  char terminal_cmd[80], *ch_pointer;
  FILE *p_shfile, *p_cfgfile;
  p_shfile = fopen("dn3d_lin.sh", "w");
  if (p_shfile == NULL)
  {
    fprintf(stderr, "ERROR: Couldn't create dn3d_lin.sh script.\n");
    return 1;
  }
  p_cfgfile = fopen("dn3d_lin.cfg", "r");
  if (p_cfgfile == NULL)
  {
    fclose(p_shfile);
    fprintf(stderr, "ERROR: Couldn't open dn3d_lin.cfg for reading.\n");
    return 1;
  }
  if (fgets(terminal_cmd, 79, p_cfgfile) == NULL)
  {
    fclose(p_cfgfile);
    fclose(p_shfile);
    fprintf(stderr, "ERROR: dn3d_lin.cfg MUST contain some Wine+game command, like wine duke3d_w32.exe.\nA sound wrapper like aoss or padsp can be added before if desired.\n");
    return 1;
  }
  fclose(p_cfgfile);
  ch_pointer = strchr(terminal_cmd, '\n');
  if (ch_pointer != NULL)
    *ch_pointer = '\0';
  fprintf(p_shfile, "#!/bin/sh\nchmod +x $0\n%s", terminal_cmd);
  for (i=1; i<argc; i++)
    fprintf(p_shfile, " \"%s\"", argv[i]);
  fclose(p_shfile);
  system("dn3d_lin.bat");
  return 0;
}
